Security Lab

Выполнение произвольного PHP кода в Vote! Pro

Дата публикации:25.01.2007
Всего просмотров:2548
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Vote! Pro 4.x
Уязвимые версии: Vote! Pro 4.0, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "poll_id" в сценарии poll_frame.php перед вызовом функции "eval()". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: www.vote-pro.com

Решение: Способов устранения уязвимости не существует в настоящее время.